<?php
 

session_start();
include("include/config.php");
include("include/functions/import.php");
$thebaseurl = $config['baseurl'];

$getfilter = htmlentities(strip_tags($_REQUEST[filter]));
$filter = escape($getfilter);
$gettitle = htmlentities(strip_tags($_REQUEST[title]));
$gettitle = escape($gettitle);
$showmax = $config['max_syndicate_results'];

if (is_numeric($filter))
{
	$query="SELECT * FROM categories_videos WHERE CATID='".mysql_real_escape_string($filter)."'";
  	$executequery=$conn->execute($query);
  	$categoryname = $executequery->fields[name];
	$categorydetails = $executequery->fields[details];
	
	$query = "SELECT * from videos where public='1' AND active='1' AND categories='".mysql_real_escape_string($filter)."' order by time_added desc limit $showmax";
	$link   = $config['baseurl']."/syndicate/categoryvideos/$filter/$gettitle"; 
}


header("Content-Type: text/xml"); 
header("Expires: 0"); 
print "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n"; 
print "<rss version=\"2.0\" xmlns:media=\"http://search.yahoo.com/mrss\">\n"; 
print "<channel>\n"; 
print "<title>".$categoryname." $lang[41] - ".$config['site_name']."</title>\n"; 
print "<link>$link</link>\n"; 
print "<description>".$categorydetails."</description>\n"; 

$db=mysql_connect ($DBHOST,$DBUSER,$DBPASSWORD) or die ('I cannot connect to the database because: ' . mysql_error());
mysql_select_db ($DBNAME); 
  
$result = mysql_query($query) or die ('Query Error: ' . mysql_error()); 
while ($results = mysql_fetch_array($result)) 
{ 
  $thumbnail       = $config['thumburl']."/".$results['VIDEOID']."-1.jpg"; 
  $video       = $config['baseurl']."/videos/".$results['VIDEOID']."/".seo_clean_titles_sendmail($results['title']); 
  $description = str_replace ("&amp","",htmlspecialchars(stripslashes($results['description']))); 
  
  $query="SELECT username FROM members WHERE USERID='".mysql_real_escape_string($results[USERID])."'";
  $executequery=$conn->execute($query);
  $getusername = $executequery->fields[username];
		
	print "<item>\n"; 
	print "  <title>".$results['title']."</title>\n";
	print "  <link>".$video."</link>\n"; 
	print "  <description>\n"; 
	print "    <![CDATA["; 
	print "<img src=\"$thumbnail\" align=\"right\" border=\"0\" width=\"170\" height=\"120\" vspace=\"5\" hspace=\"5\"/>".$description."<br><br>$lang[672]: <a href=\"$config[baseurl]/members/profile/$results[USERID]/$getusername\">$getusername</a>"; 
  	
	print "<br />on ";
	$query="SELECT date_added FROM videos WHERE VIDEOID='".mysql_real_escape_string($results['VIDEOID'])."'";
	$executequery=$conn->execute($query);
	$list=explode('-',$executequery->fields[date_added]);
	print_r($list[2]);print_r('-');
	print_r($list[1]);print_r('-');
	print_r($list[0]);
	
	$query = "select name from categories_videos WHERE CATID='".mysql_real_escape_string($results['categories'])."' limit 1"; 
	$executequery = $conn->execute($query);
	$category = $executequery->fields[name];
	
	print "<br>$lang[218]: $category<br/>$lang[325]: "; 
	$gettags = strtok($results[tags], " "); 
  	while ($gettags !== false) 
  	{ 
    	print "<a href=\"$config[baseurl]/search/videos/a/0/".$gettags."\">".$gettags."</a> "; 
    	$gettags = strtok(" "); 
  	} 
	
	print "<br>$lang[60]: $results[viewcount] | $lang[63]: $results[commentcount]";
	
	
	print "<br/><br/><br /><hr>"; 
	print "    ]]>\n"; 
	print "  </description>\n"; 
	print "  <author>".$getusername."</author>\n"; 
	print "</item>\n"; 
} 
mysql_close(); 
print "</channel>\n"; 
print "</rss>"; 
?> 